	// ===============================================================
	// Global Var
	// ===============================================================




	// ===============================================================
	// Initialize Controls
	// ===============================================================

	function FORM_INITIALIZE()
	{
		// Initialize: Ribbon Buttons [End Shift - Cash breakdown]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SHIFT_END_BBI"))
		{
    		SHIFT_END_BBI = JSOC_ELEMENT.VAR_GET("SHIFT_END_BBI"); 

    		SHIFT_END_BBI.onclick =
    			function()
    			{
    				HTTP_PRINT_CASHBREAKDOWN
    				(
    					function(IS_SUCCESS) 
    					{
    						if(IS_SUCCESS == false)
    						{	
    							return;
    						}
    					}
    				);
    			};
		}

		// Initialize: Ribbon Buttons [End Shift 2]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SHIFT_END_BBI_2"))
		{
    		SHIFT_END_BBI_2 = JSOC_ELEMENT.VAR_GET("SHIFT_END_BBI_2"); 

    		SHIFT_END_BBI_2.onclick =
    			function()
    			{
    				HTTP_END_SHIFT();
    			};
		}

		// Initialize: Ribbon Buttons [X Read]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REPORTS_XREAD_BBI"))
		{
    		REPORTS_XREAD_BBI = JSOC_ELEMENT.VAR_GET("REPORTS_XREAD_BBI"); 

    		REPORTS_XREAD_BBI.onclick =
    			function()
    			{
    				X_READING();
    			};
		}

		

		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SHIFT_END_MODAL"))
		{
			$('input[id^="CASHBREAKDOWN_"]').on('keyup', function (e) {
				HTTP_CALCULATE_CASH($(this).attr('id'));
			});
		}
	};